<!--
  ~ Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html"/>

    <xsl:template match="ns1:getKeyStoresResponse" xmlns:ns1="http://org.apache.axis2/xsd">
    	<div id="formset">
    		<fieldset style="border: none">
                <xsl:choose>
                        <xsl:when test="return">
                            <table class="styled">
                                <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Type</th>
                                    <th>Actions</th>
                                </tr>
                                </thead>
                                <tbody>
                                <xsl:for-each select="return">
                                    <tr>
                                        <td>
                                            <xsl:attribute name="title"><xsl:value-of select="keyStoreFilename"/></xsl:attribute>
                                            <xsl:value-of select="keyStoreName"/>
                                        </td>
                                        <td>
                                            <xsl:value-of select="keyStoreType"/>
                                        </td>
                                        <td>
                                            <nobr>
                                                <a id="import_link">
                                                    <xsl:attribute name="href">#</xsl:attribute>
                                                    <xsl:attribute name="title">Import Certificate</xsl:attribute>
                                                    <xsl:attribute name="onClick">javascript:showImportCertificate('<xsl:value-of select="keyStoreName"/>'); return false;</xsl:attribute>
                                                    <xsl:attribute name="alt">Import</xsl:attribute>
                                                    <xsl:text>&#160;&#160;&#160;&#160;</xsl:text>
                                                </a>
                                                <xsl:text>&#160;&#160;</xsl:text>
                                                <a href="#" id="cancel_link">
                                                    <xsl:attribute name="onClick">javascript:deleteKeyStore('<xsl:value-of select="keyStoreName"/>'); return false;</xsl:attribute>
                                                    <xsl:attribute name="title">Remove Keystore <xsl:value-of select="keyStoreName"/> </xsl:attribute>
                                                    <xsl:attribute name="alt">Remove</xsl:attribute>
                                                    &#160;&#160;&#160;&#160;
                                                </a>
                                            </nobr>
                                        </td>
                                    </tr>
                                </xsl:for-each>
                            </tbody>
                            </table>
                    </xsl:when>
                </xsl:choose>
			</fieldset>
		</div>
    </xsl:template>
 </xsl:stylesheet>
