<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:ns="http://org.wso2.wsf/tools">
    <xsl:output method="html"/>

    <xsl:template match="validatorServicesXML">
        <div>
            <h2>Archive Validator - services.xml</h2>
        </div>
        <fieldset style="border:none;">
            <div id="formset">
                <form>
                    <xsl:call-template name="servicesTemplate"/>
                </form>
            </div>
        </fieldset>
    </xsl:template>

    <xsl:template match="validatorModuleXML">
        <div>
            <h2>Archive Validator - module.xml</h2>
        </div>
        <fieldset style="border:none;">
            <div id="formset">
                <form>
                    <xsl:call-template name="modulesTemplate"/>
                </form>
            </div>
        </fieldset>
    </xsl:template>

    <xsl:template name="servicesTemplate">
        <fieldset>
            <legend>Select an AAR (Services Archive) </legend>
            <div id='aarValidatorDivId' style="display:inline;">
                <form action="#" id="aarValidatorDivFormId" method="post" name="wsdlUpload"
                      enctype="multipart/form-data"
                      target="globalIFrame">
                    <input type="file" id="filenameAARId" name="filename" size="50"/>
                    <br/>
                    <input type="submit" value="Validate AAR">
                        <xsl:attribute name="onclick">
                            javascript:
                            wso2.tool.AV.validateAndSubmitAAR();
                            return false;
                        </xsl:attribute>
                    </input>
                </form>
            </div>
        </fieldset>
        <fieldset>
            <legend>Select a services.xml </legend>
            <div id='services_xmlValidatorDivId' style="display:inline;">
                <form action="#" id="services_xmlValidatorDivIdFormId" method="post" name="wsdlUpload"
                      enctype="multipart/form-data"
                      target="globalIFrame">
                    <input type="file" id="filenameServices_xmlId" name="filename" size="50"/>
                    <br/>
                    <input type="submit" value="Validate services.xml">
                        <xsl:attribute name="onclick">
                            javascript:
                            wso2.tool.AV.validateAndSubmitServicesXml();
                            return false;
                        </xsl:attribute>
                    </input>
                </form>
            </div>
        </fieldset>
    </xsl:template>

    <xsl:template name="modulesTemplate">
        <fieldset>
            <legend>Select a MAR (Module Archive)</legend>
            <div id='marValidatorDivId' style="display:inline;">
                <form action="#" id="marValidatorDivFormId" method="post" name="wsdlUpload"
                      enctype="multipart/form-data"
                      target="globalIFrame">
                    <input type="file" id="filenameMARId" name="filename" size="50"/>
                    <br/>
                    <input type="submit" value="Validate MAR">
                        <xsl:attribute name="onclick">
                            javascript:
                            wso2.tool.AV.validateAndSubmitMAR();
                            return false;
                        </xsl:attribute>
                    </input>
                </form>
            </div>
        </fieldset>
        <fieldset>
            <legend>Select a module.xml </legend>
            <div id='module_xmlValidatorDivId' style="display:inline;">
                <form action="#" id="module_xmlValidatorDivIdFormId" method="post" name="wsdlUpload"
                      enctype="multipart/form-data"
                      target="globalIFrame">
                    <input type="file" id="filenameModule_xmlId" name="filename" size="50"/>
                    <br/>
                    <input type="submit" value="Validate module.xml">
                        <xsl:attribute name="onclick">
                           javascript:
                           wso2.tool.AV.validateAndSubmitModuleXml();
                           return false;
                        </xsl:attribute>
                    </input>
                </form>
            </div>
        </fieldset>
    </xsl:template>
</xsl:stylesheet>