/*
 * Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.wsas.sample.chad.command;

import org.wso2.wsas.sample.chad.ChadConstants;
import org.wso2.wsas.sample.chad.data.AdminUser;
import org.wso2.wsas.sample.chad.data.ChadHibernateConfigFactory;
import org.wso2.wsas.sample.chad.data.ChadPersistenceManager;

/**
 * Command to retrieve an administrator
 */
public class GetAdminUserCommand implements ChadCommand {
    private AdminUser adminUser;
    private String username;

    public GetAdminUserCommand(String username) {
        this.username = username;
    }

    public void process() throws CommmandExecutionException {
        adminUser = new ChadPersistenceManager(ChadHibernateConfigFactory.
                getDefaultConfig(ChadConstants.CHAD_HB_CONFIG)).getAdminUser(username);
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public AdminUser getAdminUser() {
        return adminUser;
    }
}
